=== debian/changelog ===
tiger (3.1-1) unstable; urgency=low

  * New upstream release which includes some fixes for Debian bugs
  such as the "don't regenerate index" (Closes: #162590)
  * Made debian/rules update automatically the advisories file (which
  is now named debian_advisories so the previous chmod -x is not needed)
  * Automatically remove CVS dirs from the package (Closes: #154343)
  * Fixed bashisms in check_rcumask (Closes: #159444)
  * Changed check_passwd to not send false positives in Debian, it should
  be fixed, however to support PAM too (Closes: #162593)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 25 Jul 2002 19:37:41 +0200

tiger (3.0-1) unstable; urgency=low

  * New upstream release (based on savannah sources)
  * Fix in order for deb_checkmd5sums to work with all sources (it was
    limited due to a stupid bug)
  * Included latest DSA advisories
  * The new package provides a *very* short diff since changes regarding
  Debian are added to the upstream sources too.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 18 Jun 2002 13:28:18 +0200

tiger (2.2.4p2-5) unstable; urgency=low

  * Added a GPL header to all the important scripts/files used by the
    program (this means /, /scripts and /systems/{default,Linux}.
    This was a requirement for adding tiger as a new project to the
    savannah site.
    (probably next upstream version and Debian diff file will be 
    reduced since I intend to make the current Debian codebase 
    upstream's 2.2.4p3)
  * Added a new check scripts/check_runprocs (not currently configured to
    run since it needs sysadmin to configure tigerrc properly to determine
    which processes should be checked for)
  * Added some more information to the README.Debian file and rewrote
    some paragraphs.
  * Written some notes on how to use Tiger as a host IDS.
  * Chmod'ed many scripts in order to avoid lintian warnings.
  * Changed tiger so it first reads tigerrc in the local directory 
  (useful for testing the package without installing or to use the tar.gz
  in other environments)
  * Fixed the scripts/check_anon in order to test if ftphome/etc/passwd
  exists before grep'ing it.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Jun 2002 23:02:12 +0200

tiger (2.2.4p2-4) unstable; urgency=low

  * Incorporated TARA changes including:
    - Changed acc006 from FAIL to WARN (scripts/check_accounts).
    - Added -H option for HTML output.
    - Fixed scripts/check_cron for problems in entries.
    - Fixed scripts/check_exports to avoid false positives.
    - Fixed scripts/check_path due to problems with parse_csh.
    - Change scripts/check_perm to not warn when owner is bin and 
      changed calls of echo to message().
    - Made some of the changes provided by ARC in scripts/check_inetd
     (save for the SORT and JOIN changes which do not seem to work)
    - Changed scripts/sub/check_devs to work with IRIX 6.5
    - Changed GROUPS to GROUPSS as ARC team does since it (might)
      be a readonly variable in some shells (see bash(1)). Even though
     it is not used in any script.
     
  * Created a new package to provide all the scripts for other operating
    systems (Warning: you still need to compile the C programs: getpermit,
    md5, realpath, snefru and testsuid in those platforms for tiger to work
    fully).
  * Added Tiger_Check_SYSTEM to the distributed tigerrc
  * Added some Linux specific checks (gdm, xdm) in scripts/check_root
  * Created (new) systems/Linux/2/check_inittab script (for ctraltdel issue
    from Bastille).
  * Created (new) systems/Linux/2/check_rcumask script to check umask settings
    for the RC boot scripts.
  * Created (new) scripts/check_ftpusers script to check for administrative
    users that are allowed access in the FTP server.
  * Created (new) scripts/check_tcpd script to check for changes in the
    way inetd services are being protected through the use of tcp_wrappers.
    This script has been written based on check_inetd.
  * Modified scripts/check_sendmail to check for sendmail.cf's banner
  * Note. This new scripts have not been added to the cron entry. They will 
    only be run when running the 'tiger' script.

  * Written some README files: howto write modules (README.writemodules),.
    how much time does it take for scripts to run (README.time), and
    information on making signatures (README.signatures)
  
  * Changed tigexp to work if issued -F with no second argument

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 26 May 2002 01:58:53 +0200

tiger (2.2.4p2-3) unstable; urgency=low

  * Fixed typo in spanish template description.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 14 May 2002 13:49:33 +0200

tiger (2.2.4p2-2) unstable; urgency=low

  * Fixed filesystem permissions (execution bit) for Linux specific
    scripts
  * Changed scripts/check_anon to avoid error when checking for
    $ftphome/etc/passwd.
  * Updated security advisories.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 10 May 2002 09:55:41 +0200

tiger (2.2.4p2-1) unstable; urgency=low

  * This is the "I finally merged with Bryan Gartner's tarball" release
  * Cosmetic upgrade in version number due to too many changes in the
    sytem specific checks (AIX, Solaris et al.) derivated from tara sources.
    (thus this release might be labeled "new upstream", avoid 2.2.4p1 since
    it is used in TAMU's distribution)
  * Updated to latest debian DSAs.
  * Next release will have a new package to provide all the scripts for 
    other Operating systems so that a central Debian server can be used 
    with network filesystems as a single point of script distribution.
  * Included tara's new check and scripts checks: devices, issue, 
    lilo, logfiles, network, patches, release, root, rootdir, single and
    tripwire_run (this last one is deactivated in Debian since 
    the package, if installed, will do the checks)

