=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	autoconf
	./configure --with-tigerhome=/usr/lib/tiger --with-tigerwork=/var/run/tiger/work --with-tigerlog=/var/log/tiger --with-tigerbin=/usr/sbin --with-tigerconfig=/etc/tiger
	$(MAKE) all

	# For DSAs
	cd systems/Linux/2 && sh update_advisories.sh

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ -f Makefile ] && $(MAKE) distclean || $(MAKE) -f Makefile.in distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=debian/tmp/
	chmod a+x debian/tmp/usr/lib/tiger/systems/Linux/2/{deb,gen,check}_*
	# Remove the systems that do not apply. 
	# Currently only Linux and default
	# AIX/  default/  HPUX/  IRIX/  Linux/  NeXT/  SunOS/  UNICOS/ UNICOSMK
	# TODO: make this for all dirs save for Linux and default (i.e.
	# make this 'mv' more generic)
	#	mv debian/tmp/usr/lib/tiger/systems/{AIX,HPUX,IRIX,NeXT,SunOS,UNICOS,UNICOSMK} debian/tiger-otheros/usr/lib/tiger/systems/
	#install -m 755 debian/tiger debian/tmp/usr/sbin/
	#install -m 755 debian/tigexp debian/tmp/usr/sbin/
	install -m 755 tigercron debian/tmp/usr/lib/tiger/
	install -m 600 cronrc debian/tmp/etc/tiger/
	install -m 600 tigerrc debian/tmp/etc/tiger/
	install -m 644 version.h debian/tmp/usr/lib/tiger/
	find debian/tmp/ -type d -name "CVS" -exec rm -rf {} \;


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples tigerrc* site* cronrc
	dh_installmenu
	dh_installcron
	dh_installman man/tiger.8 man/tigexp.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip -XHPUX -XSunOS -XAIX -XHPUX -XIRIX -XNeXT
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -XHPUX -XSunOS -XAIX -XHPUX -XIRIX -XNeXT 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
